> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Probe connector config

> Dry-run probe result for the supplied (unsaved) connector configuration.

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

### Request body

`object`

<ParamField body="connector_key" type="string" required />

<ParamField body="connector_type" type="string" required />

<ParamField body="direction" type="string" required />

<ParamField body="target" type="object" />

<ParamField body="auth" type="object" />

<ParamField body="retry_policy" type="object" />

<ParamField body="metadata" type="object" />

<ParamField body="enabled" type="boolean" />

### Response

`object`

<ResponseField name="connector_id" type="string (uuid)" required />

<ResponseField name="connector_key" type="string" required />

<ResponseField name="connector_type" type="string" required />

<ResponseField name="healthy" type="boolean" required />

<ResponseField name="latency_ms" type="integer" required />

<ResponseField name="error" type="string" />

<ResponseField name="checked_at" type="string (date-time)" required />

### Status codes

| Code | Meaning |
| - | - |
| `200` | Dry-run probe result for the supplied (unsaved) connector configuration. |
| `400` | Validation error |
| `401` | Unauthorized |
| `404` | Not found |
| `429` | Rate limited |
| `500` | Internal error |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/connectors/probe' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "connector_key": "string",
    "connector_type": "string",
    "direction": "inbound",
    "target": {},
    "auth": {
      "secret_ref": "YOUR_API_KEY",
      "headers": {}
    },
    "retry_policy": {},
    "metadata": {},
    "enabled": true
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "connector_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "connector_key": "string",
    "connector_type": "string",
    "healthy": true,
    "latency_ms": 250,
    "error": "string",
    "checked_at": "2026-08-31T14:22:05Z"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.